NL(1)

BEZEICHNUNG
nl - Zeilen von Dateien nummerieren

ÜBERSICHT
nl [OPTION]... [DATEI]...

BESCHREIBUNG

Jede DATEI mit Zeilennummern in die Standardausgabe schreiben. Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --body-numbering=STIL
    STIL benutzen, um Zeilen des Hauptteils zu nummerieren

-d, --section-delimiter=CC
    CC benutzen, um logische Seiten zu trennen

-f, --footer-numbering=STIL
    STIL benutzen, um Fußzeilen zu nummerieren

-h, --header-numbering=STIL
    STIL benutzen, um Kopfzeilen zu nummerieren

-i, --line-increment=ZAHL
    Zeilennummer nach jeder Zeile um ZAHL erhöhen

-l, --join-blank-lines=ANZAHL
    Eine Gruppe von ANZAHL Leerzeilen als eins zählen

-n, --number-format=FORMAT
    Zeilennummern gemäß FORMAT einfügen

-p, --no-renumber
    An logischen Seiten die Zeilennummern nicht zurücksetzen

-s, --number-separator=ZEICHENKETTE
    ZEICHENKETTE nach (möglicher) Zeilennummer hinzufügen

-v, --starting-line-number=NUMMER
    Erste Zeilennummer auf jeder logischen Seite

-w, --number-width=ANZAHL
    ANZAHL Spalten für Zeilennummern benutzen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Standardeinstellung ist -v1 -i1 -l1 -sTAB -w6 -nrn -hn -bt -fn. CC sind zwei Begrenzungszeichen, um logische Seiten zu trennen, ein fehlendes zweites Zeichen impliziert »:«. Geben Sie \\ für \ ein. STIL ist einer aus:

a   Alle Zeilen nummerieren

t   Nur nichtleere Zeilen nummerieren

n   Keine Zeilen nummerieren

pERA
    Nur Zeilen nummerieren, die einen Treffer für den einfachen regulären Ausdruck ERA enthalten

FORMAT ist eines der Folgenden:

ln  Linksbündig, keine führenden Nullen

rn  Rechtsbündig, keine führenden Nullen

rz  Rechtsbündig, führende Nullen

AUTOR
Geschrieben von Scott Bartram und David MacKenzie.

FEHLER BERICHTEN
Berichten Sie Fehler in nl (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von nl an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für nl wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und nl auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'nl invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.